Bug 1024739 - pulp-dev.py installs a symlink for /etc/pulp/vhosts80/puppet.conf, but the file is named pulp_puppet.conf in the repository
pulp-dev.py installs a symlink for /etc/pulp/vhosts80/puppet.conf, but the fi...
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: puppet-support (Show other bugs)
Master
Unspecified Unspecified
high Severity high
: ---
: 2.3.0
Assigned To: Randy Barlow
Preethi Thomas
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-30 06:48 EDT by Randy Barlow
Modified: 2013-12-09 09:31 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-09 09:31:17 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Randy Barlow 2013-10-30 06:48:51 EDT
Due to $SUBJECT, Apache HTTPD will not start. We should make sure it works correctly in the RPM.

I believe the file should be named puppet.conf, not pulp_puppet.conf, since it is in the /etc/pulp directory.
Comment 1 Randy Barlow 2013-10-30 06:50:19 EDT
Michael is not here at the moment, and since this bug is blocking development in our 2.3 branch, I'm going to assign it to that release at high priority and fix it.
Comment 2 Randy Barlow 2013-10-30 07:06:49 EDT
https://github.com/pulp/pulp_puppet/pull/83
Comment 3 Jeff Ortel 2013-11-01 18:29:01 EDT
build: 2.3.0-0.27.beta
Comment 4 Preethi Thomas 2013-11-12 11:12:53 EST
[root@ibm-hs22-04 ~]# rpm -qa pulp-server
pulp-server-2.3.0-0.32.beta.el6.noarch
[root@ibm-hs22-04 ~]# 


[root@ibm-hs22-04 ~]# ls -l /etc/pulp/vhosts80/
total 8
-rw-r--r--. 1 root root  51 Nov 11 17:45 puppet.conf
-rw-r--r--. 1 root root 128 Nov 11 17:45 rpm.conf
[root@ibm-hs22-04 ~]#
Comment 5 Preethi Thomas 2013-12-09 09:31:17 EST
Pulp 2.3 released.

Note You need to log in before you can comment on or make changes to this bug.